# H248_PropertyParm Class Reference

`#include <h248.h>`

Inheritance diagram for H248_PropertyParm:

List of all members.

## Public Types

enum | OptionalFields { e_extraInfo }

## Public Member Functions

| H248_PropertyParm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_PkgdName | m_name
H248_ArrayOf_PASN_OctetString | m_value
H248_PropertyParm_extraInfo | m_extraInfo

## Member Enumeration Documentation

enum H248_PropertyParm::OptionalFields

Enumerator:

  e_extraInfo |

## Constructor & Destructor Documentation

H248_PropertyParm::H248_PropertyParm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_PropertyParm::GetDataLength | ( |  | ) | const

PBoolean H248_PropertyParm::Decode | ( | PASN_Stream & | strm | ) |

void H248_PropertyParm::Encode | ( | PASN_Stream & | strm | ) | const

void H248_PropertyParm::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_PropertyParm::Compare | ( | const PObject & | obj | ) | const

PObject* H248_PropertyParm::Clone | ( |  | ) | const

## Member Data Documentation

H248_PkgdName H248_PropertyParm::m_name

H248_ArrayOf_PASN_OctetString H248_PropertyParm::m_value

H248_PropertyParm_extraInfo H248_PropertyParm::m_extraInfo

The documentation for this class was generated from the following file:

- h248.h